/**************************************************************************
*   Copyright (C) 2009 by Ian Reinhart Geiser                             *
*   geiseri@kde.org                                                       *
*                                                                         *
*   This program is free software; you can redistribute it and/or modify  *
*   it under the terms of the GNU General Public License as published by  *
*   the Free Software Foundation; either version 2 of the License, or     *
*   (at your option) any later version.                                   *
*                                                                         *
*   This program is distributed in the hope that it will be useful,       *
*   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
*   GNU General Public License for more details.                          *
*                                                                         *
*   You should have received a copy of the GNU General Public License     *
*   along with this program; if not, write to the                         *
*   Free Software Foundation, Inc.,                                       *
*   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
***************************************************************************/

#ifndef MEDIAMENU_H
#define MEDIAMENU_H
#include <KDE/KMenu>
#include <solid/storageaccess.h>

class MediaMenu : public KMenu
{
    Q_OBJECT
public:
    MediaMenu( QWidget *parent );

private slots:
    void slotActionTriggered ( QAction * action );
    void slotRebuildMenus( );
    void executeFileManager(Solid::ErrorType error,const QVariant &message , const QString &udi);

signals:
    void itemsAvailable( bool );
};

#endif // MEDIAMENU_H
