#include "svglayoutitem.h"

class TrendItem : public Plasma::SvgLayoutItem
{
public:
    TrendItem(QGraphicsItem *parent = 0);
    virtual ~TrendItem();

    // reimplemented from QGraphicsLayoutItem
    virtual QSizeF sizeHint(Qt::SizeHint which, const QSizeF &constraint = QSizeF()) const;
    // reimplemtned from QGraphicsItem
    virtual void paint(QPainter*, const QStyleOptionGraphicsItem*, QWidget*);

    void setChange(qreal dblChange);
    qreal change();
    void setPercentChange(qreal dblPercentChange);
    qreal percentChange();

private:
    qreal  m_dblChange;
    qreal  m_dblPercentChange;
    QSizeF m_minSize;
};


