#ifndef TITLEAPPLET_H
#define TITLEAPPLET_H
// We need the Plasma Applet headers
#include <KIcon>
 
#include <Plasma/Applet>
#include <Plasma/Svg>
#include <plasma/widgets/pushbutton.h>
#include <plasma/widgets/label.h>
#include <plasma/widgets/iconwidget.h>


class QSizeF;
 
// Define our plasma Applet
class TitleApplet : public Plasma::Applet
{
    Q_OBJECT
    public:
        // Basic Create/Destroy
        TitleApplet(QObject *parent, const QVariantList &args);
        ~TitleApplet();
 
        // The paintInterface procedure paints the applet to screen
        void paintInterface(QPainter *painter,
                const QStyleOptionGraphicsItem *option,
                const QRect& contentsRect);
	void init();

    protected slots:
	void onActiveWindowChanged(WId id);
	void closeClicked();

    private:
	Plasma::IconWidget *m_windowicon;
	Plasma::Label *m_title;
	Plasma::IconWidget *m_closebutton;
};
 
#endif
