#!/usr/bin/env kross

require 'dataengine'

$i = 0

def initScript()
    puts "init"
    puts "Default MinimumPollingInterval: %i" % \
        Dataengine.minimumPollingInterval()
    Dataengine.setMinimumPollingInterval(500)
end

def updateSourceEvent(name)
    puts "updateSourceEvent: " + name
    $i += 1
    Dataengine.setData(name, "index", $i)
    return true
end

def sourceRequestedEvent(name)
    puts "sourceRequestedEvent: " + name
    Dataengine.setData(name, "message1", "Hello")
    Dataengine.setData(name, "message2", "World")
    return true
end

puts "Loaded Hello ruby dataEngine"
