#include "koratdock.h"

namespace Korat
{
class DockPrivate
{
public:
    DockPrivate(Dock *drawer)
        : q(drawer)
    {

    }

    Dock *q;
};

Dock::Dock(QGraphicsItem *parent)
    : QGraphicsWidget(parent)
    , d(new DockPrivate(this))
{

}

Dock::~Dock()
{
    delete d;
}

} // namespace Korat

#include "koratdock.moc"

// vim: sw=4 sts=4 et tw=100
