/*
    This file is part of the KDE project.
    Copyright (c) 2005 Friedrich W. H. Kossebau <Friedrich.W.H@Kossebau.de>

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License version 2 as published by the Free Software Foundation.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public License
    along with this library; see the file COPYING.LIB.  If not, write to
    the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
    Boston, MA 02110-1301  USA
*/


#ifndef KSESSIONBUTTON_H
#define KSESSIONBUTTON_H

#include <qbutton.h>
// kde specific
#include <kuser.h>
#include <kpanelapplet.h>
#include <kpanelextension.h>
// applet specific

class KSessionMenu;

class KSessionButton : public QButton
{
  Q_OBJECT

  public:
    KSessionButton( QWidget* Parent, const char* Name = 0 );

  protected:
    bool calculateFaceSize();
    void loadFace();
    QPoint menuPosition() const;

  protected:
    /** the user herself */
    KUser Myself;
};

#endif
