/*
 *   Copyright (C) 2010 Lukas Appelhans <l.appelhans@kde.org>
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU Library General Public License version 2 as
 *   published by the Free Software Foundation
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details
 *
 *   You should have received a copy of the GNU Library General Public
 *   License along with this program; if not, write to the
 *   Free Software Foundation, Inc.,
 *   51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */ 
#ifndef TOM_H
#define TOM_H

#include "appstats_export.h"

#include <QString>

class AppStatsPrivate;
class APPSTATS_EXPORT AppStats
{
    friend class AppStatsHelper;
    public:
        static AppStats * instance();
        
        void launched(const QString &entry);

        int score(const QString &entry);
        
    private:
        AppStats();
        ~AppStats();
        
};

#endif
