/*******************************************************************************
 * getalllabels is a command line interface 			               *
 * Copyright (C) 2005  Ramakrishna R <coolrama@gmail.com> 		       *
 *                                                                             *
 * This program is free software; you can redistribute it and/or modify        *
 * it under the terms of the GNU General Public License as published by        *
 * the Free Software Foundation; either version 2 of the License, or           *
 * (at your option) any later version.                                         *
 *                                                                             *
 * This program is distributed in the hope that it will be useful,             *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of              *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the                *
 * GNU General Public License for more details.                                *
 *                                                                             *
 * You should have received a copy of the GNU General Public License           *
 * along with this program; if not, write to the Free Software                 *
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA. *
 *                                                                             *
 ******************************************************************************/


#include "lbapi.h"
#include <iostream>
#include <qstring.h>
#include <qstringlist.h>
#include <kcmdlineargs.h>
#include <kaboutdata.h>
#include <kdebug.h>
#include <kinstance.h>


using namespace std;
using namespace KLB;

char * appname = "getalllabels";
char * progName = "allLabels.cpp";
char * description = "prints out all the currently available labels to standard output";
char * progDisplay = "GetAllLabels";
char * progVersion = "0.1";

static KCmdLineOptions options[] =
{
 KCmdLineLastOption
};


int main(int argc, char * argv[])
{
	KAboutData aboutData(
	    progName,                        // internal program name
	    I18N_NOOP( progDisplay ),
	    progVersion,                     // version string
	    I18N_NOOP( description ),           // short porgram description
 	   KAboutData::License_GPL,         // license type
	    " ", // copyright statement
	    0,                               // any free form text
	    "",                         // program home page address
	    "bugs.kde.org"                   // bug report email address
	);

	aboutData.addAuthor( "Ramakrishna R", "Author", " " );

        KCmdLineArgs::init( argc, argv, &aboutData, true );
        KCmdLineArgs::addCmdLineOptions( options ); // Add our own options.

        KInstance ins( progName );
        KCmdLineArgs *args = KCmdLineArgs::parsedArgs();

       KLB::LabelManager* testLabel = new KLB::LabelManager();
//     QString allLabels;
       QStringList *list = new QStringList() ;
       testLabel->getAllLabels(*list);
 //      list = list.split(",", allLabels);
//       QString temp;
//       temp = temp.number();
    
        for ( QStringList::Iterator it = list->begin(); it != list->end(); ++it )
       {
         // temp = *it;
         // temp = temp.mid(1,temp.length()-2);
	    cout << *it << endl;	
       }
	return 0;
}
