#ifndef IMAGEBROWSER_H
#define IMAGEBROWSER_H

#include <kmainwindow.h>

class KLineEdit;
class KDirModel;
namespace Nepomuk {
    class TagWidget;
}

class ImageBrowser : public KMainWindow
{
    Q_OBJECT

public:
    ImageBrowser();
    ~ImageBrowser();

private Q_SLOTS:
    void slotUpdateQuery();

private:
    KLineEdit* m_queryEdit;
    KDirModel* m_model;
    Nepomuk::TagWidget* m_tagWidget;
};

#endif
