/*
 *   Copyright (C) 2007 Ivan Cukic <ivan.cukic+kde@gmail.com>
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU Lesser/Library General Public License version 2,
 *   or (at your option) any later version, as published by the Free
 *   Software Foundation
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU Lesser/Library General Public License for more details
 *
 *   You should have received a copy of the GNU Lesser/Library General Public
 *   License along with this program; if not, write to the
 *   Free Software Foundation, Inc.,
 *   51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

#ifndef JAVA_PLASMOID_HEADER
#define JAVA_PLASMOID_HEADER

#include <Plasma/Applet>

class QSizeF;

class JavaApplet: public Plasma::Applet {
public:
    JavaApplet(QObject * parent, const QVariantList & args);
    ~JavaApplet();

    void init();
    QSizeF contentSizeHint() const;

private:
    static QGraphicsWidget * jambi_QGraphicsWidgetInstance(const char * className, QObject * parent = 0);

};

K_EXPORT_PLASMA_APPLET (JavaApplet, JavaApplet)

#endif // JAVA_PLASMOID_HEADER
