#include "iconwidget.h"
#include <QGraphicsSceneHoverEvent>
#include <Plasma/ItemBackground>

IconWidget::IconWidget(QGraphicsItem *parent) : Plasma::IconWidget(parent){}

void IconWidget::setBackgroundItem(Plasma::ItemBackground *item){
    m_background = item;
}

void IconWidget::hoverEnterEvent(QGraphicsSceneHoverEvent *event){
    event->accept();
    m_background->setTargetItem(this);
}