/*
 *   Copyright (C) 2009 Jesper Thomschütz <jesperht@yahoo.com>
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU Library General Public License version 2 as
 *   published by the Free Software Foundation
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details
 *
 *   You should have received a copy of the GNU Library General Public
 *   License along with this program; if not, write to the
 *   Free Software Foundation, Inc.,
 *   51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

#ifndef PAGE_H
#define PAGE_H

#include <QWebPage>

class Page : public QWebPage
{
public:
    Page(QObject *parent=0);
protected:
    QString userAgentForUrl(const QUrl &url) const;
};

#endif // PAGE_H
