#ifndef REFLECTIONEFFECT_H
#define REFLECTIONEFFECT_H

#include <QGraphicsEffect>

class ReflectionEffect : public QGraphicsEffect
{
    Q_OBJECT

public:
    ReflectionEffect( QObject *parent );
    ~ReflectionEffect();

    // Reimplement as we change the bounding rect
    QRectF boundingRectFor(const QRectF &rect) const;

protected:
    void draw(QPainter *painter);

private:
    class ReflectionEffectPrivate *d;
};


#endif // REFLECTIONEFFECT_H

