/*
 * Copyright (C) 2009 Sacha Schutz ( istdasklar@free.fr)
 * USE lex newton code from qt-apps
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public License
 * along with this library; if not, write to the
 * Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor,
 * Boston, MA 02110-1301, USA.
 */

#ifndef GOOGLE_TRANSLATOR_H
#define GOOGLE_TRANSLATOR_H
#include "abstract_translator.h"

class GoogleTranslator: public AbstractTranslator
{
Q_OBJECT
public:
GoogleTranslator(QObject * parent=0);

public slots:
void setTranslate(QString source, QString from="fr", QString to="es");
void done();
private:
QHttp *m_http;


};
#endif