#ifndef KORATSTATUSBAR_H
#define KORATSTATUSBAR_H

#include "koratbar_export.h"
#include "koratdefines.h"

#include <QGraphicsWidget>
#include <QGraphicsItem>

namespace Korat
{
class StatusBarPrivate;
class StatusBar : public QGraphicsWidget
{
    Q_OBJECT
public:
    explicit StatusBar(QGraphicsItem *parent=0);
    virtual ~StatusBar();

private:
    friend class StatusBarPrivate;
    StatusBarPrivate *d;
};

} // namespace Korat

#endif // KORATSTATUSBAR_H
