
#include "compositionview.h"
#include <QPainter>


CompositionView::CompositionView(Quasar::Composition* compo,  QWidget* parent):
    QGLWidget(parent), m_compo(compo)
{
    setAttribute(Qt::WA_QuitOnClose, false);
}

void CompositionView::paintEvent(QPaintEvent*)
{
    QPainter p(this);
    m_compo->render(&p);
}
