#ifndef SIMPLEFILTER_H
#define SIMPLEFILTER_H

#include "filternode.h"

class SimpleFilter : public Quasar::FilterNode
{
    Q_OBJECT
public:
    SimpleFilter();

    virtual QRectF domainOfDefinition(const QRectF &rect) const;
    virtual QRectF regionOfInterest(const QRectF &rect) const;

    void prepare();
    virtual bool execute();
protected:
    virtual void programChanged(GLuint prog);
};


#endif
